
From: Mika Kukkonen <mika@osdl.org>

  CC [M]  drivers/block/cciss.o
In file included from drivers/scsi/scsi.h:27,
                 from drivers/block/cciss_scsi.c:31,
                 from drivers/block/cciss.c:188:
include/scsi/scsi_device.h:191: warning: `inline' is not at beginning of declaration

Another case of reordering the 'inline' and function return value.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/scsi/scsi_device.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/scsi/scsi_device.h~trivial-fix-to-include-scsi-scsi_deviceh include/scsi/scsi_device.h
--- 25/include/scsi/scsi_device.h~trivial-fix-to-include-scsi-scsi_deviceh	Wed Jul  7 16:24:13 2004
+++ 25-akpm/include/scsi/scsi_device.h	Wed Jul  7 16:24:13 2004
@@ -188,7 +188,7 @@ extern int scsi_device_set_state(struct 
 extern int scsi_device_quiesce(struct scsi_device *sdev);
 extern void scsi_device_resume(struct scsi_device *sdev);
 extern const char *scsi_device_state_name(enum scsi_device_state);
-static int inline scsi_device_online(struct scsi_device *sdev)
+static inline int scsi_device_online(struct scsi_device *sdev)
 {
 	return sdev->sdev_state != SDEV_OFFLINE;
 }
_
